Get a person's vehicles
curl --request GET \
--url https://lens-api.tic.io/persons/{id}/vehicles \
--header 'x-api-key: <api-key>'import requests
url = "https://lens-api.tic.io/persons/{id}/vehicles"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://lens-api.tic.io/persons/{id}/vehicles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"brukareIntelligenceScoreTotal": 123,
"brukareIntelligenceNumberOfMax": 123,
"agareIntelligenceScoreTotal": 123,
"agareIntelligenceNumberOfMax": 123,
"isOwner": true,
"isUser": true,
"isCurrent": true,
"transportstyrelsen_VehicleSummaryId": 123,
"companyId": 123,
"registreringsnummer": "<string>",
"companyid_Identitetsnummer": 123,
"companyid_Agare": 123,
"agareNamn": "<string>",
"brukareNamn": "<string>",
"isStolen": true,
"forvarvsdatum": "2023-11-07T05:31:56Z",
"forvarvsdatumAgare": "2023-11-07T05:31:56Z",
"fordonsbenamning": "<string>",
"handelsbeteckning": "<string>",
"namn": "<string>",
"arsmodell": 123,
"fordonsar": 123,
"chassinummer": "<string>",
"fabrikatskod": "<string>",
"fabrikskodBeskrivning": {
"item1": "<string>",
"item2": "<string>"
},
"modellnummer": "<string>",
"gruppnummer": "<string>",
"antalBrukare": 123,
"leasing": true,
"kreditkop": true,
"mileageKm": 123,
"mileageDate": "2023-11-07T05:31:56Z",
"fordonsslag": "<string>",
"fordonslagBeskrivning": "<string>",
"fordonsstatusKod": "<string>",
"avregOrsak": "<string>",
"fordonsstatusKodBeskrivning": "<string>",
"fordonsslagsklass": "<string>",
"fordonsslagsklassBeskrivning": "<string>",
"fordonsslagsklassOchBeskrivning": "<string>",
"drivmedel1Kod": "<string>",
"drivmedel2Kod": "<string>",
"drivmedel3Kod": "<string>",
"anvandningssatt1": "<string>",
"anvandningssatt2": "<string>",
"anvandningssatt3": "<string>",
"anvandningssatt4": "<string>",
"anvandningssatt5": "<string>",
"elfordonKonfiguration": "<string>",
"elfordonKonfigurationBeskrivning": "<string>",
"drivmedelsBeskrivningar": [
"<string>"
],
"anvandningssatt": [
"<string>"
]
}
]Persons
Get a person's vehicles
Vehicles the person owns (ägare) or uses (brukare) at Transportstyrelsen, now or earlier, current registrations first. Only vehicles whose keeper can be tied to exactly this person are included, so the list can be incomplete; GET /persons//vehicles/address lists every vehicle registered on the person’s folkbokföringsadress. Returns an empty list for people with protected personal data (sekretessmarkering or skyddad folkbokföring).
GET
/
persons
/
{id}
/
vehicles
Get a person's vehicles
Max+ tier
Authorizations
Path Parameters
Internal person ID
Response
200 - application/json
List of vehicles
Show child attributes
Show child attributes